Subject: Ticket Assigned - I didn’t receive my order
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 02 Apr 2020 06:59:51 +0000 (UTC)

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I didn’t receive my order  Hello, 

This is my order number 6468336365. 
I placed it March /4 it didn’t arrive yet and I’m very disappointed it was my first order and going to be the last!! 

I called so many times they told me we will get back to u in 48 hours !! Of course they didn’t 
I called aging and they hanged up the phone several times which made me more upset because the called can take more than 15 mins to have somebody assist u. 

Finally I complained and this is the complain number 571980 . 

Still waiting and didn’t get my order yet!! 

Please help or I need my money back quickly.

Haneen, 
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/613530